Запуск composer с другой версией PHP

Бывают такие случаи, когда действительно необходимо запусть установку пакетов ерез composer c отличной от дефолтной версией php. Для этого узнаём путь до установленного composer:

which composer

Видим что-то вроде этого:

/usr/bin/composer

Далее, указываем полный путь до нужной версии интерпретатора PHP (В моём случае, это /php/php71/bin/php)

Откуда у меня такие пути до PHP? Смотрим мануал по множеству жён (PHP)

Получаем что-то вроде этого:

/php/php71/bin/php /usr/bin/composer install

Posted in Записки on ноя 14, 2017